import { MinecraftEffectTypes } from "mojang-minecraft";

export function revengeRing(player, level, category) {
  const playerHealth = player.getComponent("health").current;

  if (category == "A") {
    if (level == 0 && playerHealth <= 4) {
      player.addEffect(MinecraftEffectTypes.strength, 40, 0, false);
    } else if (level == 1 && playerHealth <= 6) {
      player.addEffect(MinecraftEffectTypes.strength, 40, 0, false);
    } else if (level == 2 && playerHealth <= 8) {
      player.addEffect(MinecraftEffectTypes.strength, 40, 0, false);
    } else if (level == 3) {
      player.addEffect(MinecraftEffectTypes.strength, 40, 0, false);
    }
  } else if (category == "B") {
    revengeRing(player, 3, "A");
    player.addEffect(MinecraftEffectTypes.strength, 40, level > 1 ? level - 1 : 0, false);
  } else if (category == "C") {
    revengeRing(player, 3, "B");

    if (level == 1) {
      if (playerHealth <= 2) {
        player.addEffect(MinecraftEffectTypes.strength, 40, 9, false);
      }
    }
  }
}
