import { MinecraftEffectTypes } from "mojang-minecraft";

export function versatilityRing(player, level, category) {
  const playerHealth = player.getComponent("health").current;

  if (category == "A") {
    if (level == 0 && playerHealth == 20) {
      player.addEffect(MinecraftEffectTypes.speed, 40, 0, false);
    } else if (level == 1 && playerHealth >= 18) {
      player.addEffect(MinecraftEffectTypes.speed, 40, 0, false);
    } else if (level == 2 && playerHealth >= 14) {
      player.addEffect(MinecraftEffectTypes.speed, 40, 0, false);
    } else if (level == 3) {
      player.addEffect(MinecraftEffectTypes.speed, 40, 0, false);
    }
  } else if (category == "B") {
    versatilityRing(player, 3, "A");
    player.addEffect(MinecraftEffectTypes.speed, 40, level > 1 ? level : 1, false);
  } else if (category == "C") {
    versatilityRing(player, 3, "B");
    
    if (level == 1) {
      player.addEffect(MinecraftEffectTypes.haste, 40, 0, false);
    }
  }
}
