import { MinecraftEffectTypes } from "mojang-minecraft";

export function vitalityRing(player, level, category) {
  const playerHealth = player.getComponent("health").current;
  
  if (category == "A") {
    if (level == 0 && playerHealth >= 14) {
      player.addEffect(MinecraftEffectTypes.regeneration, 40, 0, false);
    } else if (level == 1 && playerHealth >= 10) {
      player.addEffect(MinecraftEffectTypes.regeneration, 40, 0, false);
    } else if (level == 2 && playerHealth >= 6) {
      player.addEffect(MinecraftEffectTypes.regeneration, 40, 0, false);
    } else if (level == 3) {
      player.addEffect(MinecraftEffectTypes.regeneration, 40, 0, false);
    }
  } else if (category == "B") {
    vitalityRing(player, 3, "A");
    player.addEffect(MinecraftEffectTypes.regeneration, 40, level > 1 ? level - 1 : 0, false);
  } else if (category == "C") {
    vitalityRing(player, 3, "B");
    
    if (level == 1 && playerHealth <= 2) {
      player.addEffect(MinecraftEffectTypes.regeneration, 40, 4, false);
    }
  }
}
